import java.util.*;

/**
 * This class represents a system segmentation related to a video file
 * used in shot boundary detection task programs of TREC 2001.
 *
 * @author NIST-ITL-IAD-Retrieval Group
 * This software was produced by NIST, an agency of the
 * U.S. government, and by statute is not subject to copyright in the
 * United States. Recipients of this software assume all
 * responsibilities associated with its operation, modification and
 * maintenance.
 *
 */

public class SysSegmentation extends Segmentation{

	/**
     * Constructs Segmentation object with an ordering comparator for its set of transitions
     *
     * @param     videoName The video name the segmentation is related to.
     * @param     orderingComparator The comparator used to order transitions in the set of transitions
     */
     public SysSegmentation(String videoName, Comparator orderingComparator){
		this.videoName = videoName;
		this.transitionSet = new TreeSet(orderingComparator);
	}
}